include:
    - project: "operator-ict/devops/gitlab-ci-pipeline"
      file:
          - "/npm/golemio-module-migrations-postgres.yml"
          - "/code-quality/sonar-cloud.yml"
          - "/npm/golemio-module-cache.yml"
          - "/golemio/module-tests/rabbit_postgres_redis.yml"
          - "/npm/golemio-modules-test-apidocs_rabbit_postgres_redis.yml"
          - "/npm/publish.yml"
          - "/npm/pages.yml"
          - "/npm-bump-dependencies/vehicle-positions-all.yaml"
          - "/docs/golemio-backstage-techdocs.yml"

stages:
    - test
    - deploy
    - bump

variables:
    BUMP_PACKAGES_LIST: "@golemio/pid@dev"
    BACKSTAGE_ENTITY_NAME: "default/component/pid"
